/*# sourceMappingURL=app.min.css.map */
body {
    font-family: sans-serif;;
}


.elevation-0 {
    box-shadow: none !important;
}

.elevation-1 {
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24) !important;
}

.elevation-2 {
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23) !important;
}

.elevation-3 {
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23) !important;
}

.elevation-4 {
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22) !important;
}

.elevation-5 {
    box-shadow: 0 19px 38px rgba(0, 0, 0, 0.3), 0 15px 12px rgba(0, 0, 0, 0.22) !important;
}



.radioerror {
    color: red !important;
}


.table-striped th,
.table-striped td {
    vertical-align: middle !important;
    text-align: center !important;
    font-size: 12px;
}

.table-striped thead {
   color: red;
   background-color: cyan !important;
}

.table-bordered {
    
}
table td, table th{
    border: 1px solid rgb(171, 169, 169)!important;
}

#firstth,
#datatable-model tr td:first-child {
    background-color: #cfd8dc70
}

#secondth,
#datatable-model tr td:nth-child(2) {
    background-color: #a2f5d570
}

.text-red {
    color: #E51221 !important;
}

.text-blue {
    color: blue !important;
}

.text-green {
    color: green !important;
}

.text-yellow {
    color: yellow !important;
}

.text-orange {
    color: orange !important;
}

.text-purple {
    color: purple !important;
}

.text-pink {
    color: pink !important;
}

.text-teal {
    color: rgb(1, 100, 100) !important;
}

.text-brown {
    color: brown !important;
}

.text-gray {
    color: gray !important;
}

.text-black {
    color: black !important;
}

.text-white {
    color: white !important;
}

.text-cyan {
    color: cyan !important;
}

.text-magenta {
    color: magenta !important;
}

.text-lime {
    color: lime !important;
}

.text-indigo {
    color: indigo !important;
}

.text-silver {
    color: silver !important;
}

.text-gold {
    color: #fcda60 !important;
}

.text-orchid {
    color: orchid !important;
}

.text-turquoise {
    color: turquoise !important;
}

.font-1 {
    font-size: 1px !important;
}

.font-2 {
    font-size: 2px !important;
}

.font-3 {
    font-size: 3px !important;
}

.font-4 {
    font-size: 4px !important;
}

.font-5 {
    font-size: 5px !important;
}

.font-6 {
    font-size: 6px !important;
}

.font-7 {
    font-size: 7px !important;
}

.font-8 {
    font-size: 8px !important;
}

.font-9 {
    font-size: 9px !important;
}

.font-10 {
    font-size: 10px !important;
}

.font-11 {
    font-size: 11px !important;
}

.font-12 {
    font-size: 12px !important;
}

.font-13 {
    font-size: 13px !important;
}

.font-14 {
    font-size: 14px !important;
}

.font-15 {
    font-size: 15px !important;
}

.font-16 {
    font-size: 16px !important;
}

.font-17 {
    font-size: 17px !important;
}

.font-18 {
    font-size: 18px !important;
}

.font-19 {
    font-size: 19px !important;
}

.font-20 {
    font-size: 20px !important;
}

.font-21 {
    font-size: 21px !important;
}

.font-22 {
    font-size: 22px !important;
}

.font-23 {
    font-size: 23px !important;
}

.font-24 {
    font-size: 24px !important;
}

.font-25 {
    font-size: 25px !important;
}

.font-26 {
    font-size: 26px !important;
}

.font-27 {
    font-size: 27px !important;
}

.font-28 {
    font-size: 28px !important;
}

.font-29 {
    font-size: 29px !important;
}

.font-30 {
    font-size: 30px !important;
}


/* --------------------------------------Tiles */
.counter {
    text-align: center;
    width: 130px;
    margin: 0 auto;
}

.counter .counter-content {
    height: 130px;
    padding: 25px 0 0;
    margin: 0 0 7px;
    position: relative;
    z-index: 1;
}

.counter .counter-content:before,
.counter .counter-content:after {
    content: "";
    background: linear-gradient(to right bottom, #dddcdcfc, #fff);
    border-radius: 50% 50% 0 50%;
    border: 10px solid #fff;
    box-shadow: 0px 0px 7px rgba(0, 0, 0, 0.4);
    position: absolute;
    left: 6px;
    top: 6px;
    right: 6px;
    bottom: 6px;
    z-index: -1;
}

.counter .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #ea237e 51%);
    height: 60%;
    width: 60%;
    border: none;
    border-radius: 0;
    box-shadow: none;
    right: 0;
    bottom: 0;
    left: auto;
    top: auto;
    z-index: -2;
}



.counter .counter-icon {
    color: #999;
    font-size: 20px;
    line-height: 20px;
    position: absolute;
    bottom: 10px;
    right: 10px;
}

.counter .counter-value {
    color: #fff;
    background: #ea237e;
    font-size: 20px;
    font-weight: 600;
    line-height: 80px;
    width: 80px;
    height: 80px;
    border-radius: 50px;
    display: inline-block;
}

.counter-title {
    font-size: 15px;
    font-weight: 600;
    text-align: end;
    text-transform: uppercase;
    margin: 0;
}

/* Blue */
.counter.blue .counter-value {
    background: #0c6db1;
}
.nav-link{
    color: white !important;
    font-size: 18px!important;
}
.nav-link:hover{
    color: cyan !important;;
}
/*.nav-link.active{*/
/*    color: yellow !important;;*/
/*}*/


#datatbl-advance_info, #datatbl-advance_paginate,.buttons-excel,#datatbl-advance_filter{
scale: 0.75;
}

.counter.blue .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #0c6db1 51%);
}

.counter.blue .counter-icon,
.counter.blue .counter-title {
    color: #0c6db1;
}

/* Red */
.counter.red .counter-value {
    background: #ff0000;
}

.counter.red .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #ff0000 51%);
}

.counter.red .counter-icon,
.counter.red .counter-title {
    color: #ff0000;
}

/* Orange */
.counter.orange .counter-value {
    background: #fea707;
}

.counter.orange .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #fea707 51%);
}

.counter.orange .counter-icon,
.counter.orange .counter-title {
    color: #fea707;
}

/* Yellow */
.counter.yellow .counter-value {
    background: #ffff00;
}

.counter.yellow .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #ffff00 51%);
}

.counter.yellow .counter-icon,
.counter.yellow .counter-title {
    color: #ffff00;
}

/* Green */
.counter.green .counter-value {
    background: #008000;
}

.counter.green .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #008000 51%);
}

.counter.green .counter-icon,
.counter.green .counter-title {
    color: #008000;
}

/* Purple */
.counter.purple .counter-value {
    background: #800080;
}

.counter.purple .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #800080 51%);
}

.counter.purple .counter-icon,
.counter.purple .counter-title {
    color: #800080;
}

/* Pink */
.counter.pink .counter-value {
    background: #ffc0cb;
}

.counter.pink .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #ffc0cb 51%);
}

.counter.pink .counter-icon,
.counter.pink .counter-title {
    color: #ffc0cb;
}

/* Teal */
.counter.teal .counter-value {
    background: #008080;
}

.counter.teal .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #008080 51%);
}

.counter.teal .counter-icon,
.counter.teal .counter-title {
    color: #008080;
}

/* Brown */
.counter.brown .counter-value {
    background: #a52a2a;
}

.counter.brown .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #a52a2a 51%);
}

.counter.brown .counter-icon,
.counter.brown .counter-title {
    color: #a52a2a;
}

/* Gray */
.counter.gray .counter-value {
    background: #808080;
}

.counter.gray .counter-content:after {
    background: linear-gradient(to right bottom, transparent 50%, #808080 51%);
}

.counter.gray .counter-icon,
.counter.gray .counter-title {
    color: #808080;
}


.form-label {
    display: inline-block;
    margin-top: 0.75rem;
    margin-bottom: .1rem;
    color:black;
    font-size: 0.9rem;
}

li{
    font-size: 12px;
}
.form-control {
    display: block;
    width: 100%;
    height: calc(2.25rem + 2px);
    padding: .2rem .5rem;
    font-size: 0.8rem;
    font-weight: 400;
    line-height: 1.5;
    color: black;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #b8bdc3!important;
    border-radius: .25rem;
    box-shadow: inset 0 0 0 transparent;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
.select2-container--default .select2-selection--single {
    border: 1px solid #b8bdc3;
    padding: .2rem .5rem;
}
.select2-container--default .select2-selection--multiple {
    border: 1px solid #b8bdc3;
}
.select2-selection__rendered{
    font-size: 0.8rem;
}

button a {
    /* Resetting all CSS properties to initial values */
    all: initial;
    /* Additional properties to ensure the anchor tag behaves appropriately */
    display: inline; /* Or any other appropriate display value */
    text-decoration: none; /* Or any other appropriate text-decoration value */
    color: inherit; /* Or any other appropriate color value */
    color: white;
  }
  
  button a:hover,
  button a:active,
  button a:visited {
    /* Resetting hover, active, and visited states to initial values */
    all: initial;
    color: white;
  }
  
  
.formerror {
    border: 1px ridge #E51221 !important;
    border-radius: 0.25rem !important;
    -webkit-border-radius: 0.25rem !important;
    -moz-border-radius: 0.25rem !important;
    -ms-border-radius: 0.25rem !important;
    -o-border-radius: 0.25rem !important;
}

.swal-title {
    color: #E51221;
}

.swal-text {
    color: black;
    font-size: 13px;
}
tbody tr:nth-child(even) {
    background-color: #f5f7f867!important;
  }
  /* Add hover effect */
  tbody tr:hover {
    background-color: #FFF7F1!important;
  }


